# UniTAP.dev.modules.dut_tests.dut_default_params.dp_source_adaptive_sync_tab

class RangeMinRate(enum.IntEnum):

Describes available values for rate in Adaptive-Sync tests.

Rate_59_940Hz = <RangeMinRate.Rate_59_940Hz: 0>
Rate_47_952Hz = <RangeMinRate.Rate_47_952Hz: 1>
Rate_29_970Hz = <RangeMinRate.Rate_29_970Hz: 2>
Rate_23_976Hz = <RangeMinRate.Rate_23_976Hz: 3>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class AdaptiveSyncDpCaps(UniTAP.dev.modules.dut_tests.test_group_params_types.Param):

Class `AdaptiveSyncDp14Caps` defines adaptive-sync capabilities and allows setting:

- Support Adaptive-Sync `support_adaptive_sync`.
- Support fixed average `support_fixed_average`.
- Support duration increase and decrease `support_duration_increase_and_decrease`.

AdaptiveSyncDpCaps(json_obj)
support_adaptive_sync

Set and get adaptive-sync flag support.

###### Returns:

> object of bool type

support_fixed_average

Set and get fixed average flag support.

###### Returns:

> object of bool type

support_duration_increase_and_decrease

Set and get duration increase and decrease flag support.

###### Returns:

> object of bool type

enable_manually

Set and get enable manually flag support.

###### Returns:

> object of bool type

##### Inherited Members

UniTAP.dev.modules.dut_tests.test_group_params_types.Param
  clear
  direct_set_def_value
  default_value
  min_value
  max_value
  config_id
  config_id_name
  name
  value_type
  enumeration_variants
  bit_field_list
  data_length

class AdaptiveSyncDpConfigTabBase:
AdaptiveSyncDpConfigTabBase( caps: AdaptiveSyncDpCaps, as_range_min_rate, max_rate_1920x1080, max_rate_2560x1080, max_rate_2560x1440, max_rate_3840x2160, max_rate_4096x2160, max_rate_5120x2160, max_rate_7680x4320, max_rate_10240x4320)
as_caps: AdaptiveSyncDpCaps

Set and get adaptive-sync capabilities.

###### Returns:

> object `AdaptiveSyncDp14Caps`

as_range_min_rate: int

Set and get adaptive-sync minimum rate.

###### Returns:

> object `RangeMinRate`

max_rate_1920x1080: int

Set and get maximum rate for resolution 1920x1080

###### Returns:

> object of int type

max_rate_2560x1080: int

Set and get maximum rate for resolution 2560x1080

###### Returns:

> object of int type

max_rate_2560x1440: int

Set and get maximum rate for resolution 2560x1440

###### Returns:

> object of int type

max_rate_3840x2160: int

Set and get maximum rate for resolution 3840x2160

###### Returns:

> object of int type

max_rate_4096x2160: int

Set and get maximum rate for resolution 4096x2160

###### Returns:

> object of int type

max_rate_5120x2160: int

Set and get maximum rate for resolution 5120x2160

###### Returns:

> object of int type

max_rate_7680x4320: int

Set and get maximum rate for resolution 7680x4320

###### Returns:

> object of int type

max_rate_10240x4320: int

Set and get maximum rate for resolution 10240x4320

###### Returns:

> object of int type

def clear_max_rates(self):

Clear rates settings.

class AdaptiveSyncDp14ConfigTab(AdaptiveSyncDpConfigTabBase):

Class `AdaptiveSyncDp14ConfigTab` allows working with parameters for DP 1.4 Adaptive-Sync tests.

- Set and get capabilities `as_caps` type `AdaptiveSyncDp14Caps`.
- Set and get adaptive-sync range minimum rate `as_range_min_rate` type `RangeMinRate`.
- Set and get maximum rate for resolution 1920x1080 `max_rate_1920x1080`.
- Set and get maximum rate for resolution 2560x1080 `max_rate_2560x1080`.
- Set and get maximum rate for resolution 2560x1440 `max_rate_2560x1440`.
- Set and get maximum rate for resolution 3840x2160 `max_rate_3840x2160`.
- Set and get maximum rate for resolution 4096x2160 `max_rate_4096x2160`.
- Set and get maximum rate for resolution 5120x2160 `max_rate_5120x2160`.
- Set and get maximum rate for resolution 7680x4320 `max_rate_7680x4320`.
- Set and get maximum rate for resolution 10240x4320 `max_rate_10240x4320`.

AdaptiveSyncDp14ConfigTab(json_obj)

##### Inherited Members

AdaptiveSyncDpConfigTabBase
  as_caps
  as_range_min_rate
  max_rate_1920x1080
  max_rate_2560x1080
  max_rate_2560x1440
  max_rate_3840x2160
  max_rate_4096x2160
  max_rate_5120x2160
  max_rate_7680x4320
  max_rate_10240x4320
  clear_max_rates

class AdaptiveSyncDp21ConfigTab(AdaptiveSyncDpConfigTabBase):

Class `AdaptiveSyncDp21ConfigTab` inherited of class`AdaptiveSyncDp14ConfigTab` allows working with parameters for DP 2.1 Adaptive-Sync tests Class `AdaptiveSyncDp21ConfigTab` has all the `AdaptiveSyncDp14ConfigTab` functionality.

AdaptiveSyncDp21ConfigTab(json_obj)

##### Inherited Members

AdaptiveSyncDpConfigTabBase
  as_caps
  as_range_min_rate
  max_rate_1920x1080
  max_rate_2560x1080
  max_rate_2560x1440
  max_rate_3840x2160
  max_rate_4096x2160
  max_rate_5120x2160
  max_rate_7680x4320
  max_rate_10240x4320
  clear_max_rates